%global _hardened_build 1

Name:           spnavcfg
Version:        1.1
Release:    1%{?dist}
Summary:        Spacenav daemon interactive configuration program

License:        GPLv3+
URL:            http://spacenav.sourceforge.net/
Source0:        https://github.com/FreeSpacenav/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

Patch0:         spnavcfg-qt.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libspnav-devel
BuildRequires:  libX11
BuildRequires:  qt5-qtbase-devel
BuildRequires:  desktop-file-utils

Requires:       spacenavd


%description
Spacenav daemon interactive configuration program.


%prep
%autosetup -p1
sed -i "s/uic/uic-qt5/g" Makefile.in
sed -i "s/moc/moc-qt5/g" Makefile.in
sed -i "s/rcc/rcc-qt5/g" Makefile.in


%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{optflags}"
%configure 

sed -i 's/\-O3//g' Makefile

%make_build


%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-1
- initial build
